# -*- coding: utf-8 -*-
# Generated by Django 1.11.10 on 2018-04-29 13:53
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion

def migrate_info_sup_recv(apps, schema_editor):
    Registration = apps.get_model("guichet", "Registration")
    Info_Sup = apps.get_model("guichet", "Info_Sup")
    Info_Sup_Recv = apps.get_model("guichet", "Info_Sup_Recv")
    db_alias = schema_editor.connection.alias
    for reg in Registration.objects.using(db_alias).all():
        for info in reg.infos_sup.using(db_alias).all():
            Info_Sup_Recv(reference=info, registration=reg, state=0).save()

class Migration(migrations.Migration):

    dependencies = [
        ('guichet', '0071_remigrate_template'),
    ]

    operations = [
        migrations.CreateModel(
            name='Info_Sup_Recv',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('state', models.IntegerField(choices=[(0, "L'information est accept\xe9e."), (1, "L'information est en attente d'acceptation."), (2, "L'information a \xe9t\xe9 rejet\xe9.")], default=1)),
                ('reference', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='received', to='guichet.Info_Sup')),
                ('registration', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='info_sup_received', to='guichet.Registration')),
            ],
        ),
        migrations.AlterUniqueTogether(
            name='info_sup_recv',
            unique_together=set([('reference', 'registration')]),
        ),
#        migrations.RunPython(migrate_info_sup_recv),
        migrations.RemoveField(
            model_name='registration',
            name='infos_sup',
        ),
    ]
